module QuiversTaskrunner
	module EnvHelper
		def self.get_env(name)
			begin
				value = ENV[name]
				if value.nil?
					value = `#{name.upcase}`
				end
				return value
			rescue Exception => ex
				raise ArgumentError, "Environment variable '#{name}' not defined. Please pass\n" +
				"a '#{name}' environment variable to your task, or create a '#{name}' \n" +
				"environment variable on your machine"
			end
		end
	end 
end