module QuiversTaskrunner
	module_function
	
	def replace_tokens(files_with_missing_tokens, tokens)
		files = files_with_missing_tokens.is_a?(Array) ? files_with_missing_tokens : [files_with_missing_tokens]
		raise ArgumentError, "'tokens' must be a Hash" unless tokens.is_a?(Hash)

		files.each { |f_path|
			content = nil
			File.open(f_path, "rb") do |f|
				content = f.read
				tokens.each { |k,v|
					content = content.gsub("{{#{k}}}", v)
				}
			end

			File.open(f_path, "w") do |f|
				f.write(content)
			end
		}
	end
end